Bug 138223 - support for some more socket ioctls
Summary: support for some more socket ioctls
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-05 20:23 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-02-02 20:26:45 UTC


Attachments (Terms of Use)
add support for some more ioctls (4.18 KB, patch)
2004-11-05 20:23 UTC, Ulrich Drepper
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:130 normal SHIPPED_LIVE strace bug fix update 2005-06-09 04:00:00 UTC
Red Hat Product Errata RHBA-2005:131 normal SHIPPED_LIVE strace bug fix update 2005-05-19 04:00:00 UTC

Description Ulrich Drepper 2004-11-05 20:23:08 UTC
Description of problem:
There socket ioctls are still not decoded.

Version-Release number of selected component (if applicable):
strace-4.5.8-1

How reproducible:
a;ways

Steps to Reproduce:
1.strace /sbin/dhclient
2.
3.
  
Actual results:
ioctl(4, SIOCGIFFLAGS, 0xfee2a2f0)      = 0


Expected results:
ioctl(4, SIOCGIFFLAGS, {ifr_name="eth0",
ifr_flags=IFF_UP|IFF_BROADCAST|IFF_RUNNING|IFF_MULTICAST}) = 0


Additional info:
The attached patch also fixes a problem in the SIOCGIFCONF handling.

Comment 1 Ulrich Drepper 2004-11-05 20:23:08 UTC
Created attachment 106237 [details]
add support for some more ioctls

Comment 2 Roland McGrath 2005-02-02 20:26:45 UTC
I've put the patch in upstream.

Comment 3 Tim Powers 2005-05-19 21:10:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html



Note You need to log in before you can comment on or make changes to this bug.